#pragma once
// MARK: Conversions

#define MS_PER_MIN 60000

// MARK: Hardware

#define NUM_LEDS 12
#define LED_SPIN_MAX_COUNT (NUM_LEDS * 2)
#define LED_BATCH_COUNT 2

// MARK: Demo

// Enable the demo mode
//#define ENABLE_DEMO

// MARK: Logging

// Enable logging to serial connection
// #define SERIAL_LOGGING


// Hardware pins

#define LED_STRIP_PIN 5
#define BUTTON_PIN    2

// Storage

#define DEMO_MODE_BYTE 0

// Colors

#define MAX_GREEN 90
#define MAX_RED 5

// Brightness

#define MAX_BRIGHTNESS 250
#define PULSING_BRIGHTNESS 50

// MARK: Durations

#define STAY_GREEN_DURATION_DEMO        20000
#define FADE_TO_RED_DURATION_DEMO       30000
#define PULSING_UNTIL_OFF_DURATION_DEMO 60000

#define STAY_GREEN_DURATION        30*MS_PER_MIN
#define FADE_TO_RED_DURATION       30*MS_PER_MIN
#define PULSING_UNTIL_OFF_DURATION 20*MS_PER_MIN

#define SHORT_FADE_DURATION 1500

// Pulsing config

#define PULSING_START_INTERVAL 3500
#define PULSING_END_INTERVAL 500
#define PULSE_VARIANCE (PULSING_START_INTERVAL-PULSING_END_INTERVAL)

// Spin config

#define SPIN_SATURATION 255
#define SPIN_DEMO_ENABLED_HUE 0
#define SPIN_DEMO_DISABLED_HUE 90

#define MAXIMUM_DELAY 250
